module Peerplays
  module ChainConfig
    EXPIRE_IN_SECS = 600
    EXPIRE_IN_SECS_PROPOSAL = 24 * 60 * 60
    
    NETWORKS_PEERPLAYS_CHAIN_ID = '6b6b5f0ce7a36d323768e534f3edb41c6d6332a541a95725b98e28d140850134'
    NETWORKS_PEERPLAYS_ADDRESS_PREFIX = 'PPY'
    NETWORKS_PEERPLAYS_CORE_ASSET = 'PPY'
    NETWORKS_PEERPLAYS_DEFAULT_NODE = 'wss://api.ppy.blckchnd.com'
    
    NETWORKS_TEST_CHAIN_ID = 'b3f7fe1e5ad0d2deca40a626a4404524f78e65c3a48137551c33ea4e7c365672'
    NETWORKS_TEST_ADDRESS_PREFIX = 'TEST'
    NETWORKS_TEST_CORE_ASSET = 'TEST'
    NETWORKS_TEST_DEFAULT_NODE = 'ws://api.ppy-beatrice.blckchnd.com'
    
    NETWORK_CHAIN_IDS = [NETWORKS_PEERPLAYS_CHAIN_ID, NETWORKS_TEST_CHAIN_ID]
  end
end
